# $Revision: 1.78 $, $Date: 2012/06/14 13:31:48 $
# TODO:
# - logrotate file
Summary:	Icecast - streaming MP3 and Ogg server
Summary(es.UTF-8):	Un servidor de streams MP3, Ogg
Summary(pl.UTF-8):	Icecast - serwer strumieni MP3 i Ogg
Summary(pt_BR.UTF-8):	Um servidor de streams MP3, Ogg
Name:		icecast
Version:	2.3.3
Release:	1
Epoch:		2
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://downloads.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
# Source0-md5:	2b5d1b40778922e5f6431b7758c359ad
Source1:	%{name}.init
URL:		http://www.icecast.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	libkate-devel
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	speex-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(icecast)
Provides:	user(icecast)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
Icecast is an Internet based broadcasting system based on the Mpeg
Layer III streaming technology. It was originally inspired by
Nullsoft's Shoutcast and also mp3serv by Scott Manley. The icecast
project was started for several reasons: a) all broadcasting systems
were pretty much closed source, non-free software implementations, b)
Shoutcast doesn't allow you to run your own directory servers, or
support them, and c) we thought it would be a lot of fun.

%description -l es.UTF-8
Icecast es un sistema de Transmisión (broadcast) en Internet que
utiliza la tecnología MP3.

%description -l pl.UTF-8
Icecast to internetowy serwer rozsyłający strumienie MPEG Layer III.
Oryginalnie zainspirowany przez Shoutcast firmy Nullsoft oraz program
mp3serv autorstwa Scotta Manleya. Projekt icecast2 został rozpoczęty z
kilku powodów: a) wszystkie systemy broadcastowe były ładnymi,
zamkniętymi programami, non-free, b) Shoutcast nie pozwala na
wystartowanie swoich własnych directory servers czy wspierać ich, c)
to niezła zabawa.

%description -l pt_BR.UTF-8
O Icecast é um sistema de broadcast na Internet que utiliza a
tecnologia MP3.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/log/icecast}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 57 icecast
%useradd -u 57 -r -d /usr/share/empty -s /bin/false -c "Streamcast" -g icecast icecast

%post
/sbin/chkconfig --add icecast
%service icecast restart "icecast daemon"

%preun
if [ "$1" = "0" ] ; then
	%service icecast stop
	/sbin/chkconfig --del icecast >&2
fi

%postun
if [ "$1" = "0" ]; then
	%userremove icecast
	%groupremove icecast
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO doc/*.{html,jpg}
%attr(754,root,root) /etc/rc.d/init.d/icecast
%attr(755,root,root) %{_bindir}/icecast
%attr(750,root,icecast) %dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icecast.xml
%{_datadir}/icecast
%attr(770,root,icecast) %config(noreplace) %verify(not md5 mtime size) /var/log/icecast

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icecast.spec,v $
Revision 1.78  2012/06/14 13:31:48  qboosh
- updated to 2.3.3

Revision 1.77  2010/11/13 12:07:52  pawelz
- release 3

Revision 1.76  2010/05/16 12:34:26  sparky
- BR: pkgconfig

Revision 1.75  2010/04/17 17:25:32  wiget
- relese 2 (openssl)

Revision 1.74  2008/06/11 04:40:32  qboosh
- updated to 2.3.2
- removed obsolete curl patch
- GPL v2

Revision 1.73  2008-02-23 20:12:04  glen
- release 6

Revision 1.72  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.70  2007/01/04 18:17:45  arekm
- rel 4

Revision 1.69  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.68  2006/06/07 18:36:56  ankry
- fix for useradd from pwdutils, rel. 2

Revision 1.67  2006/05/22 16:51:56  blaass
- spelling fix

Revision 1.66  2006/02/28 23:36:51  glen
- use %service

Revision 1.65  2005/12/03 19:01:45  qboosh
- updated to 2.3.1

Revision 1.64  2005/10/22 23:20:01  qboosh
- updated to 2.3.0

Revision 1.63  2005/08/27 13:59:00  arekm
- rel 2

Revision 1.62  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.61  2005/02/27 20:37:17  djrzulf
- epoch 2,

Revision 1.60  2005/02/27 20:01:01  djrzulf
- updated to 2.2.0, STBR ac-test,

Revision 1.59  2004/11/05 10:38:58  paladine
- updated to 2.1.0

Revision 1.58  2004/10/28 11:36:30  paladine
- "Ogg" and "Vorbis" unification

Revision 1.57  2004/10/01 11:36:34  blues
- release 2 for AC, (1.1 goes to RA)

Revision 1.56  2004/10/01 11:14:52  blues
- 2.0.2 - security update:
  http://www.securityfocus.com/archive/1/376708/2004-09-26/2004-10-02/0

Revision 1.55  2004/08/25 21:41:03  ankry
- rel. 5

Revision 1.54  2004/08/25 18:30:10  ankry
- script fixes

Revision 1.53  2004/08/25 10:09:43  ankry
- rel. 4

Revision 1.52  2004/08/25 10:05:50  ankry
- use %userremove/%groupremove macros

Revision 1.51  2004/07/12 07:47:37  ankry
- rel. 3 to rebuild with curl-7.12

Revision 1.50  2004/05/21 11:22:23  blues
- release 2 for AC

Revision 1.49  2004/05/21 11:21:07  blues
- fixes in %files

Revision 1.48  2004/05/20 16:45:55  pluto
- updated to 2.0.1 (security fix).

  (this patch release fixes a overflow buffer which can cause
   server crashes under certain circumstances).

Revision 1.47  2004/01/09 21:48:42  qboosh
- removed redundant options

Revision 1.46  2004/01/09 20:32:09  djrzulf
- updated md5sum,

Revision 1.45  2004/01/09 19:26:50  djrzulf
- updated to stable version,

Revision 1.44  2003/12/27 19:37:42  qboosh
- BR: libtool

Revision 1.43  2003/12/27 19:31:12  qboosh
- Epoch 1

Revision 1.42  2003/12/27 19:08:38  djrzulf
- fixed build,
- package ready to go :),

Revision 1.41  2003/12/27 18:22:17  djrzulf
- updated to latest beta (3),

Revision 1.40  2003/11/23 12:11:56  arekm
- updated to beta1

Revision 1.39  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.38  2003/09/13 21:27:04  arekm
- icecast1 is obsolete; update to icecast2 snapshots; builds only testing if it works left

Revision 1.8  2003/08/18 08:08:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.6  2003/08/03 00:30:17  qboosh
- added -f to rm in clean

Revision 1.5  2003/05/28 12:59:06  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:48:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/17 06:59:05  pascalek
- revert user changes

Revision 1.2  2003/05/10 10:16:45  pascalek
- Req user-icecast

Revision 1.1  2003/04/11 22:25:38  honey
- Icecast2 - not usable yet
